BaseFileSetTask (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.BaseFileSetTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant
Class BaseFileSetTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hyperic.tools.ant.BaseFileSetTask

Direct Known Subclasses:
  DBSetupCombiner, Truncate

    public abstract class BaseFileSetTask

extends org.apache.tools.ant.Task

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`BaseFileSetTask()`

Method Summary
`void` | `addFilelist(org.apache.tools.ant.types.FileList list)`
`void` | `addFileset(org.apache.tools.ant.types.FileSet set)`
`protected java.util.List` | `getAllFiles()`
`protected java.util.List` | `getAllFileSets()`
`protected void` | `validateAttributes()`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseFileSetTask

    public BaseFileSetTask()

Method Detail

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

### addFilelist

    public void addFilelist(org.apache.tools.ant.types.FileList list)

### validateAttributes

    protected void validateAttributes()
                               throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### getAllFileSets

    protected java.util.List getAllFileSets()

### getAllFiles

    protected java.util.List getAllFiles()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.